package net.buildbox.app.ClipKeyword;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.widget.Toast;

public class MainActivity extends Activity {
    @TargetApi(Build.VERSION_CODES.HONEYCOMB)
	@SuppressWarnings("deprecation")
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // ここにあったsetContentViewメソッドの呼び出しを削除
        
        // クリップボード上のテキストを取得
        String clipText = "";
		if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
			// Honeycomb(API Level: 11)以降
			ClipboardManager clipMgr = (ClipboardManager) getSystemService(CLIPBOARD_SERVICE);

			// ClipDataの取得
			ClipData clipData = clipMgr.getPrimaryClip();
			if (clipData != null) {
				// アイテムの取得
				ClipData.Item item = clipData.getItemAt(0);
				// テキストの取得
				clipText = item.getText().toString();
			}
		} else {
			// Gingerbread(API Level: 10)以前
			android.text.ClipboardManager clipMgr =
					(android.text.ClipboardManager) getSystemService(CLIPBOARD_SERVICE);
			// テキストの取得
			clipText = clipMgr.getText().toString();
		}
        
        // クリップボードが空であれば、空である旨を通知
        if (clipText.isEmpty()) {
        	Toast.makeText(this, "クリップボード上にテキストがありません", Toast.LENGTH_SHORT).show();
        	this.setResult(RESULT_CANCELED);
        } else {
        	// 処理した結果を返す
        	Intent intent = new Intent();
        	intent.putExtra(Intent.EXTRA_TEXT, clipText);
        	this.setResult(RESULT_OK, intent);
        }
        
        this.finish();
    }
}